body {
  padding: 2%;
  text-align: center;
}

#slideshow {
  overflow: hidden;
  height: 610px;
  width: 870px;
  margin: 0 auto;
}

.slide-wrapper {
  width: 2920px;
  -webkit-animation: slide 14s ease infinite;
}

.slide {
  float: left;
  height: 610px;
  width: 870px;
}


@-webkit-keyframes slide {
  20% {margin-left: 0px;}
  30% {margin-left: -870px;}
  50% {margin-left: -870px;}
  60% {margin-left: -1740px;}
  80% {margin-left: -1740px;}
}